JIRA

Enterprise Tester can be configured to integrate with JIRA to allow the synchronization of incidents and requirements with Issues and/or Requirements in JIRA. Enterprise Tester report charts can also be added to your JIRA Dashboard. Integration promotes the collaboration between teams by having real time information available across your project team.

Choosing Which JIRA Plugin to Use

Enterprise Tester has two plugins for JIRA: JIRA 4 - 5.1 and JIRA.

Using JIRA 4 - 5.1

The JIRA 4 - 5.1 plugin supports JIRA 4.x and above. For issue and requirement synchronization, Enterprise Tester communicates with JIRA via the JIRA SOAP Service and some additional features have been added for JIRA 5 and above using the REST API.  This plugin is being deprecated.  No further feature development or bug fixes will occur on this plugin.  We recommend that customers consider upgrading to JIRA 5.2 or above to get the full benefits of integrating Enterprise Tester and JIRA.  This ET plugin will be removed when support ends for JIRA 5.1 in the release following Oct 2014.

Upgrading to the JIRA plugin

An upgrade button on the JIRA 4-5.1 external system link will allow you to upgrade your plugin to the new JIRA plugin automatically.  The new JIRA plugin is only compatible with JIRA 5.2 and above

 

Using JIRA 5.2 and above

The JIRA Plugin has been introduced with the release of V4.8.  It solely used the JIRA REST API for integration and provides a more feature rich integration with JIRA.  This included sub-task synchronization support, smoother workflow integration,  no limitation on the number of entities that can be synchronized between ET and JIRA and project specific pick list values.  This plugin supports JIRA 5.2 and above.

Some configuration is required to establish this connection. See Configuring ET for JIRA 5.2 and Above . A user with Administrator privileges will have access to complete this configuration.

For sharing Enterprise Tester report charts with JIRA dashboards and Confluence Wikis, configuration of OAuth is required. Note: The report chart portlet share feature is not compatible with OnDemand instances of JIRA and Confluence.